Subject: Re: [DNA] DNA proposal issue 19 - was [Issue X] LinkID v.s. LandmarkPrese wouldn't the new host send a NS as part of > communicating with the CoA of the peer? I guess it depends on the > details of any MIPv6 RO procedure.

From: Greg Daley <[email-masked]>
Date: Mon, 25 Jul 2005 03:39:07 +1000

The mobile node should be fine when it uses a TSLLAO in the NS (and the 
peer understands the TSLLAO).

- Christian

-- 
Christian Vogt, Institute of Telematics, University of Karlsruhe
www.tm.uka.de/~chvogt/pubkey/

Erik Nordmark wrote:
> Brett Pentland wrote:
> 
>> Regarding the potential solution in section 4.2, I gather you are
>> talking about something like:
>>
>> - Host sends RS with optimistic unicast source address and TSLLAO
>> - Router replies with unicast RA (using LLA from TSLLAO)
>> - Host only then sends MLD report (after delay)
>> - Host send NS for oDAD
> 
> 
> Looks good to me.
> 
> Presumably the last step isn't needed if the host didn't move to a 
> different link. (One might think the same thing applies to the third 
> item, but due to MLD/IGMP snooping L2 devices, that wouldn't be safe 
> when the host has changed its L2 attachment point.)
> 
>   > This sounds good for most communications (assuming that most
> 
>> communications with the host go through the router).  There
>> might still be a bit of a problem if an on-link device (other
>> than the router) tries to send a packet to the optimistic
>> address before the MLD report goes out since the host won't
>> receive the resulting NS from this on-link node.  I guess this
>> might come up if the host is a mobile node and tries to perform
>> route optimization with a node that just happens to be connected
>> to the same link as itself.
> 
> 
> But in that case wouldn't the new host send a NS as part of 
> communicating with the CoA of the peer? I guess it depends on the 
> details of any MIPv6 RO procedure.
> 
>    Erik
>